Bug 257966 - devel/re2c: update to 2.2
Summary: devel/re2c: update to 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL: https://github.com/skvadrik/re2c/blob...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-20 11:03 UTC by Eero Hänninen
Modified: 2021-10-08 07:19 UTC (History)
4 users (show)

See Also:
chalpin: maintainer-feedback+


Attachments
devel/re2c: update to version 2.2 (16.95 KB, patch)
2021-08-20 11:03 UTC, Eero Hänninen
no flags Details | Diff
Revised batch (16.92 KB, patch)
2021-09-24 20:47 UTC, Corey Halpin
chalpin: maintainer-approval+
Details | Diff
Patch for re2c (11.98 KB, patch)
2021-09-28 06:28 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Hänninen 2021-08-20 11:03:27 UTC
Created attachment 227340 [details]
devel/re2c: update to version 2.2

Changes:
* Corrected upstream address
* Added option to build re2go
* Added option to build experimental libre2c
* Updated port to version 2.2 ( Changelog https://github.com/skvadrik/re2c/blob/master/CHANGELOG )
* Changed pkg-desc
Comment 1 Fernando Apesteguía freebsd_committer 2021-08-20 12:14:58 UTC
^Triage: Simplifying title

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Corey Halpin 2021-08-26 14:07:13 UTC
Comment on attachment 227340 [details]
devel/re2c: update to version 2.2

Looks good to me. No warnings from `portlint`. Passes `poudriere testport`. Built package works in my testing and also works when used by spamassassin's `sa-compile`.

I approve this patch.  Thank you!
Comment 3 Nuno Teixeira freebsd_committer 2021-08-26 14:58:35 UTC
Hello, I've found some issues:

1. Why did you remove first line 
# Created by: Eivind Eklund <eivind@FreeBSD.org>?
For what I know only original creators can ask for this deletion

2. You moved from SF to GH (primary) and thats ok but you could still use MASTER_SITES because in this case they have a static tarball available:
https://github.com/skvadrik/re2c/releases/download/2.2/re2c-2.2.tar.xz
and we can avoid auto generated tarballs with:
---
USE_GITHUB=	yes
GH_ACCOUNT=	skvadrik
GH_TAGNAME=	${DISTVERSION}
---
We should use MASTER_SITES when their available

3. why is that you commented:
---
#PORTDOCS=	*
#PORTEXAMPLES=	*
---

4. I sugest using https:// URL in pkg-descr instead of http://
Comment 4 Daniel Engberg freebsd_committer 2021-08-26 21:55:42 UTC
It would also be nice if we could get the test suite integrated.

While not a requirement I would recommend you to separate _DESC variables and group them before defining other variables for menu options and deps should be defined before cmake options (DOCS, L16 and L17).

Example:
https://cgit.freebsd.org/ports/tree/net/libwebsockets/Makefile
Comment 5 Corey Halpin 2021-09-24 20:47:01 UTC
Created attachment 228154 [details]
Revised batch

I believe that the attached update to the patch addresses all the issues raised.

Regarding '3. why is that you commented: PORTDOCS, PORTEXAMPLES', that is because those files have been explicitly added to the `pkg-plist`.

The proposed patch gets no warnings from `portlint`, passes both `poudriere testport` and `poudriere bulk -t`, and the built package works in my testing when installed.
Comment 6 Daniel Engberg freebsd_committer 2021-09-28 06:28:28 UTC
Created attachment 228226 [details]
Patch for re2c

I've updated the port to use release archive and adapted pkg-plist to those changes. I've also added dependencies for unit tests. Passes Poudriere testport and portlint. Please review
Comment 7 Daniel Engberg freebsd_committer 2021-09-28 06:32:19 UTC
...and DOCS are always enabled by default

https://docs.freebsd.org/en/books/porters-handbook/book/
5.13.1.3. Default Options
Comment 8 Daniel Engberg freebsd_committer 2021-10-05 00:53:32 UTC
Friendly ping
Comment 9 Corey Halpin 2021-10-05 13:01:22 UTC
Comment on attachment 228226 [details]
Patch for re2c

Sorry for the delay in replying. This looks excellent and works well in my testing, thank you!
Comment 10 commit-hook freebsd_committer 2021-10-08 07:07:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2bf3900fc8bfca9c896d6d844e336663a40fbfa9

commit 2bf3900fc8bfca9c896d6d844e336663a40fbfa9
Author:     Eero Hänninen <fax@nohik.ee>
AuthorDate: 2021-10-08 06:26:29 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-10-08 07:06:34 +0000

    devel/re2c: Update to 2.2

    Additional changes to submitted patch done by Corey Halpin (maintainer)
    and Daniel Engberg (ports committer).

    Changelog: https://github.com/skvadrik/re2c/blob/master/CHANGELOG

    PR:             257966
    Approved by:    port maintainer, arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32327

 devel/re2c/Makefile        |  40 +++++++-----
 devel/re2c/distinfo        |   5 +-
 devel/re2c/pkg-descr       |  18 +++---
 devel/re2c/pkg-plist (new) | 152 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 192 insertions(+), 23 deletions(-)
Comment 11 Daniel Engberg freebsd_committer 2021-10-08 07:19:26 UTC
Committed, thanks and great collaboration!